<!DOCTYPE html>

<html lang="en" data-content_root="./">
  <head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" /><meta name="viewport" content="width=device-width, initial-scale=1" />

    <title>sagace.auth package &#8212; sagace 2025 documentation</title>
    <link rel="stylesheet" type="text/css" href="_static/pygments.css?v=5ecbeea2" />
    <link rel="stylesheet" type="text/css" href="_static/basic.css?v=b08954a9" />
    <link rel="stylesheet" type="text/css" href="_static/alabaster.css?v=27fed22d" />
    <script src="_static/documentation_options.js?v=cb975c41"></script>
    <script src="_static/doctools.js?v=9bcbadda"></script>
    <script src="_static/sphinx_highlight.js?v=dc90522c"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="sagace.auth.application package" href="sagace.auth.application.html" />
    <link rel="prev" title="sagace package" href="sagace.html" />
   
  <link rel="stylesheet" href="_static/custom.css" type="text/css" />
  

  
  

  </head><body>
  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          

          <div class="body" role="main">
            
  <section id="sagace-auth-package">
<h1>sagace.auth package<a class="headerlink" href="#sagace-auth-package" title="Link to this heading">¶</a></h1>
<section id="subpackages">
<h2>Subpackages<a class="headerlink" href="#subpackages" title="Link to this heading">¶</a></h2>
<div class="toctree-wrapper compound">
<ul>
<li class="toctree-l1"><a class="reference internal" href="sagace.auth.application.html">sagace.auth.application package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.application.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.application.html#module-sagace.auth.application.authentication_use_case">sagace.auth.application.authentication_use_case module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.application.html#descricao">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.application.html#sagace.auth.application.authentication_use_case.AuthenticateUser"><code class="docutils literal notranslate"><span class="pre">AuthenticateUser</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.application.html#sagace.auth.application.authentication_use_case.AuthenticateUser.execute"><code class="docutils literal notranslate"><span class="pre">AuthenticateUser.execute()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.application.html#module-sagace.auth.application">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.application.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sagace.auth.domain.html">sagace.auth.domain package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.domain.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.domain.html#module-sagace.auth.domain.authentication_repository">sagace.auth.domain.authentication_repository module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.domain.html#descricao">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.domain.html#sagace.auth.domain.authentication_repository.AuthenticationRepository"><code class="docutils literal notranslate"><span class="pre">AuthenticationRepository</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.domain.html#sagace.auth.domain.authentication_repository.AuthenticationRepository._abc_impl"><code class="docutils literal notranslate"><span class="pre">AuthenticationRepository._abc_impl</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.domain.html#sagace.auth.domain.authentication_repository.AuthenticationRepository.authenticate"><code class="docutils literal notranslate"><span class="pre">AuthenticationRepository.authenticate()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.domain.html#module-sagace.auth.domain">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.domain.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sagace.auth.infrastructure.html">sagace.auth.infrastructure package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.infrastructure.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure.authentication_api">sagace.auth.infrastructure.authentication_api module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.infrastructure.html#descricao">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI"><code class="docutils literal notranslate"><span class="pre">AuthenticationAPI</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI.AUTH_URL"><code class="docutils literal notranslate"><span class="pre">AuthenticationAPI.AUTH_URL</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI.BASE_URL"><code class="docutils literal notranslate"><span class="pre">AuthenticationAPI.BASE_URL</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI._abc_impl"><code class="docutils literal notranslate"><span class="pre">AuthenticationAPI._abc_impl</span></code></a></li>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.infrastructure.html#sagace.auth.infrastructure.authentication_api.AuthenticationAPI.authenticate"><code class="docutils literal notranslate"><span class="pre">AuthenticationAPI.authenticate()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.infrastructure.html#module-sagace.auth.infrastructure">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.infrastructure.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="sagace.auth.interfaces.html">sagace.auth.interfaces package</a><ul>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.interfaces.html#submodules">Submodules</a></li>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.interfaces.html#module-sagace.auth.interfaces.authentication_service">sagace.auth.interfaces.authentication_service module</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.interfaces.html#descricao">Descrição:</a></li>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.interfaces.html#sagace.auth.interfaces.authentication_service.AuthenticationService"><code class="docutils literal notranslate"><span class="pre">AuthenticationService</span></code></a><ul>
<li class="toctree-l4"><a class="reference internal" href="sagace.auth.interfaces.html#sagace.auth.interfaces.authentication_service.AuthenticationService.login"><code class="docutils literal notranslate"><span class="pre">AuthenticationService.login()</span></code></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="sagace.auth.interfaces.html#module-sagace.auth.interfaces">Module contents</a><ul>
<li class="toctree-l3"><a class="reference internal" href="sagace.auth.interfaces.html#description">Description:</a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</section>
<section id="module-sagace.auth">
<span id="module-contents"></span><h2>Module contents<a class="headerlink" href="#module-sagace.auth" title="Link to this heading">¶</a></h2>
<hr class="docutils" />
<section id="description">
<h3>Description:<a class="headerlink" href="#description" title="Link to this heading">¶</a></h3>
<p>Obs.:</p>
<p>Author:           &#64;diego.yosiura
Last Update:      27/02/2025 15:29
Created:          27/02/2025 15:29
Copyright:        (c) Ampere Consultoria Ltda
Original Project: sagace-v2-package
IDE:              PyCharm</p>
</section>
</section>
</section>


          </div>
          
        </div>
      </div>
      <div class="sphinxsidebar" role="navigation" aria-label="Main">
        <div class="sphinxsidebarwrapper">
<h1 class="logo"><a href="index.html">sagace</a></h1>









<search id="searchbox" style="display: none" role="search">
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" aria-labelledby="searchlabel" autocomplete="off" autocorrect="off" autocapitalize="off" spellcheck="false" placeholder="Search"/>
      <input type="submit" value="Go" />
    </form>
    </div>
</search>
<script>document.getElementById('searchbox').style.display = "block"</script><h3>Navigation</h3>
<p class="caption" role="heading"><span class="caption-text">Conteúdo:</span></p>
<ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="modules.html">sagace</a><ul class="current">
<li class="toctree-l2 current"><a class="reference internal" href="sagace.html">sagace package</a></li>
</ul>
</li>
</ul>

<div class="relations">
<h3>Related Topics</h3>
<ul>
  <li><a href="index.html">Documentation overview</a><ul>
  <li><a href="modules.html">sagace</a><ul>
  <li><a href="sagace.html">sagace package</a><ul>
      <li>Previous: <a href="sagace.html" title="previous chapter">sagace package</a></li>
      <li>Next: <a href="sagace.auth.application.html" title="next chapter">sagace.auth.application package</a></li>
  </ul></li>
  </ul></li>
  </ul></li>
</ul>
</div>








        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="footer">
      &#169;2025, Ampere Consultoria.
      
      |
      Powered by <a href="https://www.sphinx-doc.org/">Sphinx 8.2.1</a>
      &amp; <a href="https://alabaster.readthedocs.io">Alabaster 1.0.0</a>
      
      |
      <a href="_sources/sagace.auth.rst.txt"
          rel="nofollow">Page source</a>
    </div>

    

    
  </body>
</html>